#define MyAppName "EEHack"
#define MyAppVersion "4.8BETA3"
#define MyAppPublisher "fbodytech.com"
#define MyAppURL "http://www.fbodytech.com/"
#define MyAppExeName "eehack.exe"

[Setup]
AppId={{DB30CB99-3603-4DA3-804A-25663E6B9E9F}
AppName={#MyAppName}
AppVersion={#MyAppVersion}
AppComments="A datastream utility for 94-95 LT1 engines"
AppContact="Steve resfilter@resfilter.net"
AppCopyright=Copyright (C) 2015 Steve Haslin
AppPublisher={#MyAppPublisher}
AppPublisherURL={#MyAppURL}
AppSupportURL={#MyAppURL}
AppUpdatesURL={#MyAppURL}
DefaultDirName={pf}\{#MyAppName}
DefaultGroupName={#MyAppName}
AllowNoIcons=yes
LicenseFile=D:\Dev\eehack-releasepkg\LICENSE.txt
OutputBaseFilename=eehack{#MyAppVersion}-install
Compression=lzma
SolidCompression=yes
ChangesAssociations=yes
MinVersion=0,5.1sp3

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags: unchecked; OnlyBelowVersion: 0,6.1
Name: "eedataassociation"; Description: "Associate ""eedata"" Extension (For log files)"; GroupDescription: File extensions:

[Files]
Source: "D:\Dev\eehack-releasepkg\ee_definition.csv"; DestDir: "{app}"; Flags: ignoreversion

Source: "D:\Dev\eehack-releasepkg\CHANGELOG.txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\Dev\eehack-releasepkg\DEFINITION.txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\Dev\eehack-releasepkg\LICENSE.txt"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\Dev\eehack-releasepkg\README.txt"; DestDir: "{app}"; Flags: ignoreversion

Source: "D:\Dev\eehack-releasepkg\extras\reset_settings.reg"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\Dev\eehack-releasepkg\extras\disable_network.reg"; DestDir: "{app}"; Flags: ignoreversion

Source: "D:\Dev\eehack-releasepkg\eehack.exe"; DestDir: "{app}"; Flags: ignoreversion
Source: "D:\Dev\eehack-releasepkg\*.dll"; DestDir: "{app}"; Flags: ignoreversion recursesubdirs createallsubdirs
Source: "D:\Dev\eehack-releasepkg\platforms\*"; DestDir: "{app}\platforms"; Flags: ignoreversion recursesubdirs createallsubdirs

[Icons]
Name: "{group}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"; Comment: "Start EEHack, the LT1 Datastream Utility"
Name: "{group}\Advanced\Reset All Settings"; Filename: "{app}\reset_settings.reg"; Comment: "This resets all of your EEHack settings"
Name: "{group}\Advanced\Disable Networking"; Filename: "{app}\disable_network.reg"; Comment: "This kills networking in case it's preventing EEHack from starting"
Name: "{group}\Docs\Changelog"; Filename: "{app}\CHANGELOG.TXT"
Name: "{group}\Docs\Readme"; Filename: "{app}\README.txt"
Name: "{group}\Docs\Definition Format"; Filename: "{app}\DEFINITION.txt"
Name: "{group}\Visit fbodytech.com"; Filename: "{#MyAppURL}"
Name: "{group}\{cm:UninstallProgram,{#MyAppName}}"; Filename: "{uninstallexe}"; Comment: "Uninstall EEHack....nooooooooo!!"
Name: "{commondesktop}\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"; Tasks: desktopicon; Comment: "Start EEHack, the LT1 Datastream Utility"
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\{#MyAppName}"; Filename: "{app}\{#MyAppExeName}"; Tasks: quicklaunchicon; Comment: "Start EEHack, the LT1 Datastream Utility"

[Run]
Filename: "{app}\{#MyAppExeName}"; Description: "{cm:LaunchProgram,{#StringChange(MyAppName, '&', '&&')}}"; Flags: nowait postinstall skipifsilent shellexec unchecked

[Registry]
Root: HKCR; Subkey: ".eedata"; ValueType: string; ValueName: ""; ValueData: "eehack"; Flags: uninsdeletevalue; Tasks: eedataassociation 
Root: HKCR; Subkey: "eehack"; ValueType: string; ValueName: ""; ValueData: "eehack"; Flags: uninsdeletekey; Tasks: eedataassociation
Root: HKCR; Subkey: "eehack\DefaultIcon"; ValueType: string; ValueName: ""; ValueData: "{app}\eehack.exe,0"; Tasks: eedataassociation
Root: HKCR; Subkey: "eehack\shell\open\command"; ValueType: string; ValueName: ""; ValueData: """{app}\eehack.exe"" ""%1"""; Tasks: eedataassociation
